Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.transport
Class Sandesha2TransportSender

    java.lang.Object
      org.apache.sandesha2.transport.Sandesha2TransportSender

All Implemented Interfaces:
  org.apache.axis2.engine.Handler, org.apache.axis2.transport.TransportSender

    public class Sandesha2TransportSender

extends java.lang.Object
implements org.apache.axis2.transport.TransportSender

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.axis2.engine.Handler
`org.apache.axis2.engine.Handler.InvocationResponse`

Constructor Summary
`Sandesha2TransportSender()`

Method Summary
`void` | `cleanup()`
`void` | `cleanup(org.apache.axis2.context.MessageContext msgContext)`
`void` | `cleanUp(org.apache.axis2.context.MessageContext msgContext)`
`void` | `flowComplete(org.apache.axis2.context.MessageContext msgContext)`
`org.apache.axis2.description.HandlerDescription` | `getHandlerDesc()`
`java.lang.String` | `getName()`
`org.apache.axis2.description.Parameter` | `getParameter(java.lang.String name)`
`void` | `init(org.apache.axis2.context.ConfigurationContext confContext, org.apache.axis2.description.TransportOutDescription transportOut)`
`void` | `init(org.apache.axis2.description.HandlerDescription handlerdesc)`
`org.apache.axis2.engine.Handler.InvocationResponse` | `invoke(org.apache.axis2.context.MessageContext msgContext)`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Sandesha2TransportSender

    public Sandesha2TransportSender()

Method Detail

### cleanup

    public void cleanup(org.apache.axis2.context.MessageContext msgContext)
                 throws org.apache.axis2.AxisFault

  Specified by:
    `cleanup` in interface `org.apache.axis2.transport.TransportSender`
  Throws:
    `org.apache.axis2.AxisFault`

### stop

    public void stop()

  Specified by:
    `stop` in interface `org.apache.axis2.transport.TransportSender`

### invoke

    public org.apache.axis2.engine.Handler.InvocationResponse invoke(org.apache.axis2.context.MessageContext msgContext)
                                                              throws org.apache.axis2.AxisFault

  Specified by:
    `invoke` in interface `org.apache.axis2.engine.Handler`
  Throws:
    `org.apache.axis2.AxisFault`

### cleanUp

    public void cleanUp(org.apache.axis2.context.MessageContext msgContext)
                 throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### init

    public void init(org.apache.axis2.context.ConfigurationContext confContext,
                     org.apache.axis2.description.TransportOutDescription transportOut)
              throws org.apache.axis2.AxisFault

  Specified by:
    `init` in interface `org.apache.axis2.transport.TransportSender`
  Throws:
    `org.apache.axis2.AxisFault`

### cleanup

    public void cleanup()

  Specified by:
    `cleanup` in interface `org.apache.axis2.engine.Handler`

### getHandlerDesc

    public org.apache.axis2.description.HandlerDescription getHandlerDesc()

  Specified by:
    `getHandlerDesc` in interface `org.apache.axis2.engine.Handler`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.apache.axis2.engine.Handler`

### getParameter

    public org.apache.axis2.description.Parameter getParameter(java.lang.String name)

  Specified by:
    `getParameter` in interface `org.apache.axis2.engine.Handler`

### init

    public void init(org.apache.axis2.description.HandlerDescription handlerdesc)

  Specified by:
    `init` in interface `org.apache.axis2.engine.Handler`

### flowComplete

    public void flowComplete(org.apache.axis2.context.MessageContext msgContext)

  Specified by:
    `flowComplete` in interface `org.apache.axis2.engine.Handler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.